server:
  port: @profiles.server.port@
  servlet:
    context-path: /m
spring:
  application:
    name: @project.artifactId@
    profiles:
      active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  security:
    enable: true
    user:
      name: admin
      password: 1
  redis:
    host: @profiles.redis.uri@
    port: @profiles.redis.port@
    username: @profiles.redis.username@
    password: @profiles.redis.password@
    database:  @profiles.redis.database@
    timeout: 30000
    pool:
      max-idle: 30
      min-idle: 0
      max-active: 100
      max-wait: 1000
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: @profiles.datasource.uri@
    username: @profiles.datasource.username@
    password: @profiles.datasource.password@

mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml
  
application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*
cookie:
  ssoServerUrl: http://sso.testnew.com
  key: 026db82420614469897fcc2dc1b4ce38
  domain: base.testnew.com
  port: 111
upload:
  path: @profiles.filepath@
# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping:
  # 标题
  title: '标题'
  # 描述
  description: '描述'
  # 版本
  version: '版本号: 1.0'
  # 作者信息
  contact:
    name: zxfei
    email: 8153694@qq.com
    url: http://www.baidu.com
  groups:
    - name: 1.产品模块
      basePackage: com.mortals.xhx.module.product
knife4j:
  # 是否开启Knife4j增强模式
  enable: true
  # 开启Swagger的Basic认证功能,默认是false

  # 前端Ui的个性化配置属性
  setting:
    # 默认语言
    language: zh-CN
    # 是否显示Footer
    enableFooter: false
    # 是否开启动态参数调试功能
    enableDynamicParameter: true
    # 是否在每个Debug调试栏后显示刷新变量按钮
    enableReloadCacheParameter: true